Bug 1113134 - mediawiki: security update
mediawiki: security update
Status: CLOSED RAWHIDE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140625,repor...
: Security
Depends On: 1113135 1113136
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-25 09:34 EDT by Vasyl Kaigorodov
Modified: 2016-12-14 12:17 EST (History)
3 users (show)

See Also:
Fixed In Version: mediawiki 1.19.17, mediawiki 1.21.11, mediawiki 1.22.8, mediawiki 1.23.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-14 12:17:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2014-06-25 09:34:03 EDT
From mediawiki-announce mailing list:

Subject: Pre-release announcement for MediaWiki releases 1.19.17, 1.21.11, 1.22.8 and 1.23.1
"""
this is a notice that on Wednesday, June 25th, between 20:00-22:00 UTC we will
release security and maintenance updates for all current and supported branches
of the MediaWiki software. Downloads and patches will be available at that time.
"""
Comment 1 Vasyl Kaigorodov 2014-06-25 09:34:33 EDT
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1113135]
Comment 2 Vasyl Kaigorodov 2014-06-25 09:34:36 EDT
Created mediawiki119 tracking bugs for this issue:

Affects: epel-all [bug 1113136]
Comment 3 Murray McAllister 2014-06-26 01:49:11 EDT
Upstream announcement:

http://lists.wikimedia.org/pipermail/mediawiki-announce/2014-June/000155.html

This includes a "(bug 65839) SECURITY: Prevent external resources in SVG files" security fix.

Alex Xu in the Gentoo bug (https://bugs.gentoo.org/show_bug.cgi?id=515138) suggests this may only allow a pingback, and that some versions of Firefox probably will not load it anyway.
Comment 4 Fedora Update System 2014-07-05 10:54:54 EDT
mediawiki-1.21.11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-07-05 10:56:28 EDT
mediawiki-1.21.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-08-22 15:17:41 EDT
mediawiki119-1.19.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.